
cookie {
    position: fixed;
    bottom: 2rem;
    right: 2rem;
    z-index: 2;
    width: 35%;
    background-color: #ffffff;
    border: #1a4645 0.5rem solid;
    border-radius: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1rem;
    padding: 2rem;
    box-sizing: border-box;
}

cookie.hide {
    opacity: 0;
    pointer-events: none;
    transform: scale(0.8);
    transition: all 0.3s ease;
}

cookie img {
    position: absolute;
    max-width: 8rem;
    left: -3rem;
    bottom: -2rem;
}

#consentContent p {
    color: #858585;
    margin: 10px 0 20px 0;
}

#consentContent a {
    color: #1a4645;
    font-size: 1rem;
}

#consentContent a:visited {
    color: #1a4645;
}

#consentContent .buttons {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
}

.consentButton,
.rejectButton {
    padding: 0.8rem 1.8rem;
    border: none;
    outline: none;
    color: #fff;
    font-size: 1rem;
    font-weight: 500;
    border-radius: 5px;
    cursor: pointer;
    transition: all 0.3s ease;
    font-family: 'Techfont';
    transition: opacity 0.3s ease;
}

.consentButton:hover,
.rejectButton:hover {
    opacity: 0.8;
}

.consentButton {
    background: #1a4645;
    border: 2px solid #1a4645;
    margin-right: 10px;
}

.rejectButton {
    color: #111211;
    background: transparent;
    border: 2px solid #1a4645;
    text-decoration: none;
}

#consentHeader {
    font-size: 2rem;
    font-weight: 600;
}

@media (orientation: portrait) {

    cookie {
        width: 60%;
    }
}

@media (max-width: 512px) {

    cookie {
        width: 90%;
        right: 50%;
        transform: translateX(50%);
    }
}